<h1>The includes folder</h1>
<p>This document will describe the scripts in the includes folder.</p>
<h2>classes.php</h2>
<p>No use yet.  This script will eventually load up all of the object oriented php stuff necessary for the framework.</p>
<h2>clean_functions.php</h2>
<p>Provides data cleaning functions to convert from one form of input to another.  Inputs: sql, form.  Outputs: sql, form, url, display.</p>
<h2>database.php</h2>
<p>Connects to the database.  Individual scripts may do their own database connections if they require a separate database.</p>
<h2>date_functions.php</h2>
<p>Provides functions for dealing with dates</p>
<h2>do_login.php</h2>
<p>Detects whether a login has been requested, and does the login via the login module defined in the vars.php script if required.  Also handles setting permissions for the user, and logout.</p>
<h2>error_functions.php</h2>
<p>Provides error handling functions.</p>
<h2>footer.php</h2>
<p>This is the bottom of the page.</p>
<h2>header.php</h2>
<p>This is the top of the page, up to where the sidebar is defined.</p>
<h2>login.php</h2>
<p>This script defines the function that is used to determine whether a user is allowed access to a page or not.</p>
<h2>login_bar.php</h2>
<p>This script draws the login bar across the top of the content cell.  If the user is logged in, it says what user is logged in and provides a logout link.  If the user is not logged in, it provides a login link.</p>
<h2>modules folder</h2>
<p>This folder stores all of the modules used.  Currently this is limited to login options.</p>
<h2>page_start.php</h2>
<p>This script does all of the initialization that the framework needs before any other scripts are run.  It also starts timing the generation time of the page.</p>
<h2>paginate_functions.php</h2>
<p>This script contains the paginate function, which is used to display data in a table.</p>
<h2>session.php</h2>
<p>This script manages the session data.</p>
<h2>sidebar.php</h2>
<p>Sidebar.php has the sidebar generation function, and also stores the sidebar description that the sidebar generation function needs to make a sidebar.</p>
<h2>sql_wrappers.php</h2>
<p>This script provides a database abstraction layer, plus it handles sql errors in the framework way.</p>
<h2>style.css</h2>
<p>The style.css file contains the CSS styling information.</p>
<h2>vars.php</h2>
<p>This script holds all of the global constants required by the framework.  This includes passwords, hosts, databases, login methods, user permissions, and more.</p>
